# Command: topology::CreateMask

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    topology::CreateMask - create a spatial mask

Synopsis:

      << /type dict >> CreateMask -> mask

Description:

    Masks are used when creating connections in the Topology
      module. A mask describes which area of the pool layer shall be searched
      for nodes to connect for any given node in the driver layer. This
      command creates a mask object which may be combined with other mask
      objects using Boolean operators. The mask is specified in a dictionary.

Parameters:

      /type	- mask type
      dict 	- dictionary with mask specifications

Author:

    Håkon Enger

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/topology/topologymodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative